VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::metamodel::ElementValue Class Reference

The `ElementValue` class describes the value of the metadata element. More...

List of all members.

## Classes
class | Type
| The `ElementValue.Type` enumerated type defines the valid types for values in metadata elements. More...
## Public Member Functions
| ElementValue ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.ElementValue.Type | Get_Type ()
| Type of the value.
void | SetType (vmware.vapi.metadata.metamodel.ElementValue.Type type)
| Type of the value.
long | GetLongValue ()
| Long value of the metadata element.
void | SetLongValue (long?longValue)
| Long value of the metadata element.
string | GetStringValue ()
| String value of the metadata element.
void | SetStringValue (string stringValue)
| String value of the metadata element.
global::System.Collections.Generic.List < string > | GetListValue ()
| List of strings value of the metadata element.
void | SetListValue (global::System.Collections.Generic.List< string > listValue)
| List of strings value of the metadata element.
string | GetStructureId ()
| Identifier of the structure element.
void | SetStructureId (string structureId)
| Identifier of the structure element.
global::System.Collections.Generic.List < string > | GetStructureIds ()
| List of identifiers of the structure elements.
void | SetStructureIds (global::System.Collections.Generic.List< string > structureIds)
| List of identifiers of the structure elements.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ElementValue` class describes the value of the metadata element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ElementValue::ElementValue | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ElementValue::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ElementValue::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ElementValue::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ElementValue::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ElementValue::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ElementValue::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.ElementValue.Type vmware::vapi::metadata::metamodel::ElementValue::Get_Type | ( |  | ) | `[inline]`

Type of the value.

override int vmware::vapi::metadata::metamodel::ElementValue::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::ElementValue::GetListValue | ( |  | ) | `[inline]`

List of strings value of the metadata element.

long vmware::vapi::metadata::metamodel::ElementValue::GetLongValue | ( |  | ) | `[inline]`

Long value of the metadata element.

string vmware::vapi::metadata::metamodel::ElementValue::GetStringValue | ( |  | ) | `[inline]`

String value of the metadata element.

string vmware::vapi::metadata::metamodel::ElementValue::GetStructureId | ( |  | ) | `[inline]`

Identifier of the structure element.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.structure` .

global::System.Collections.Generic.List<string> vmware::vapi::metadata::metamodel::ElementValue::GetStructureIds | ( |  | ) | `[inline]`

List of identifiers of the structure elements.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::metamodel::ElementValue::SetListValue | ( | global::System.Collections.Generic.List< string > | listValue | ) | `[inline]`

List of strings value of the metadata element.

void vmware::vapi::metadata::metamodel::ElementValue::SetLongValue | ( | long? | longValue | ) | `[inline]`

Long value of the metadata element.

void vmware::vapi::metadata::metamodel::ElementValue::SetStringValue | ( | string | stringValue | ) | `[inline]`

String value of the metadata element.

void vmware::vapi::metadata::metamodel::ElementValue::SetStructureId | ( | string | structureId | ) | `[inline]`

Identifier of the structure element.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::metamodel::ElementValue::SetStructureIds | ( | global::System.Collections.Generic.List< string > | structureIds | ) | `[inline]`

List of identifiers of the structure elements.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::metamodel::ElementValue::SetType | ( | vmware.vapi.metadata.metamodel.ElementValue.Type | type | ) | `[inline]`

Type of the value.

override string vmware::vapi::metadata::metamodel::ElementValue::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ElementValue.cs